import { HttpClient as HC } from "./lib/http/http-client";
import { BackendProxy as BP } from "./lib/http/backend-proxy";
import { CreateBuildSessionIdRequest as CBIDRequest, CreateBuildSessionIdResponse as CBIDResponse, GetBuildSessionIdResponse as GBIDResponse } from "./lib/http/contracts";
export declare module SlJsInfra {
    type HttpClient = HC;
    type BackendProxy = BP;
    type CreateBuildSessionIdRequest = CBIDRequest;
    type CreateBuildSessionIdResponse = CBIDResponse;
    type GetBuildSessionIdResponse = GBIDResponse;
}
